Chuyển đến nội dung chính
POST
/
api
/
v1
/
webhooks
/
{id}
/
test
Test Webhook
curl --request POST \
  --url https://api.agentwallex.com/api/v1/webhooks/{id}/test \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "status_code": 123,
  "response_time_ms": 123
}

Tham số đường dẫn

id
string
bắt buộc
ID Webhook cần kiểm tra (ví dụ: whk_abc123).

Ví dụ

curl -X POST https://api.agentwallex.com/api/v1/webhooks/whk_abc123/test \
  -H "X-API-Key: awx_your_api_key"

Ủy quyền

X-API-Key
string
header
bắt buộc

API key authentication. Keys are prefixed with awx_.

Tham số đường dẫn

id
string
bắt buộc

The webhook ID to test (e.g., whk_abc123).

Phản hồi

Test event sent successfully.

success
boolean

Whether the test event was delivered successfully.

status_code
integer

HTTP status code returned by the webhook endpoint.

response_time_ms
integer

Response time from the webhook endpoint in milliseconds.